Skip to main content
GET
/
v1
/
cards
/
{card_id}
/
apple-pay-payload
Get Apple Pay payload
curl --request GET \
  --url https://api.clearbox.example.com/v1/cards/{card_id}/apple-pay-payload \
  --header 'Authorization: Bearer <token>'
{
  "encryptedPassData": "<string>",
  "activationData": "<string>",
  "ephemeralPublicKey": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.clear-box.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

ClearBox API key. Use cb_sandbox_... in the sandbox and cb_live_... in production.

Path Parameters

card_id
string
required
Example:

"crd_9a7b"

Query Parameters

certificates
string[]

Base64 certificate chain from PassKit.

nonce
string

Base64 nonce from PassKit.

nonce_signature
string

Base64 nonce signature from PassKit.

Response

200 - application/json

Encrypted PassKit payload.

encryptedPassData
string

Base64 encrypted pass data.

activationData
string

Base64 activation data.

ephemeralPublicKey
string

Base64 ephemeral public key.